<?php
class LinkUtility
{
	public static function whateverBox($content, $linkto=null)
	{	
		global $post;
		if($linkto==null)
			$linkTo=get_option('pj_linkto');

		if($linkTo=='custom')
		{
			$theClass=get_option('pj_custom_class');
			$theRel=get_option('pj_custom_rel');
		}
		else
		{
			$theClass=$linkTo;
			$theRel=$linkTo;
		}
		$pattern[0] = "/<a(.*?)href=('|\")([A-Za-z0-9\/_\.\~\:-]*?)(\.bmp|\.gif|\.jpg|\.jpeg|\.png)('|\")([^\>]*?)>/i";
		$pattern[1] = "/<a(.*?)href=('|\")([A-Za-z0-9\/_\.\~\:-]*?)(\.bmp|\.gif|\.jpg|\.jpeg|\.png)('|\")(.*?)(rel=('|\")".$theRel."(.*?)('|\"))([ \t\r\n\v\f]*?)((rel=('|\")".$theRel."(.*?)('|\"))?)([ \t\r\n\v\f]?)([^\>]*?)>/i";
		$replacement[0] = '<a$1href=$2$3$4$5$6 rel="'.$theRel.'-'.$post->ID.'">';
		$replacement[1] = '<a$1href=$2$3$4$5$6$7>';
		if($linkTo!='lightbox' && $theClass!='')
		{
			$pattern[2] = "/<a(.*?)href=('|\")([A-Za-z0-9\/_\.\~\:-]*?)(\.bmp|\.gif|\.jpg|\.jpeg|\.png)('|\")([^\>]*?)>/i";
			$pattern[3] = "/<a(.*?)href=('|\")([A-Za-z0-9\/_\.\~\:-]*?)(\.bmp|\.gif|\.jpg|\.jpeg|\.png)('|\")(.*?)(class=('|\"))(.*?)(?=(".$theClass.")|('|\"))(".$theClass.")?((.*?)('|\")([ \t\r\n\v\f]*?))((class=('|\")".$theClass."(.*?)('|\")))([ \t\r\n\v\f]?)([^\>]*?)>/i";
			$replacement[2] = '<a$1href=$2$3$4$5$6 class="'.$theClass.'">';
			$replacement[3] = '<a$1href=$2$3$4$5$6$7'.$theClass.' $9$13>';
		}
		$content = preg_replace($pattern, $replacement, $content);
		return $content;
	}

	public static function imageUrlFilter($link, $id)
	{
		global $pjStatus;
		if($pjStatus!=PJ_STATUS_NONE)
		{
			$image = wp_get_attachment_image_src($id, 'full', false);
			return $image[0];
		}
		return $link;
	}
}
?>