<?php
class ImageShortcode
{
	private $mode;
	private $viewer;
	private $insertShortcode;
	
	function __construct()
	{
		$this->viewer=get_option('pj_linkto');
		$this->insertShortcode=get_option('pj_insert_image');
	}
	
	public function imageShortcodeHandler( $atts, $content = null ) 
	{
		global $pjStatus;
		$pjStatus = PJ_STATUS_IMAGE;
		extract(shortcode_atts(array(
			'id' => '0', 
			'size' => 'thumbnail',
			'title' => null,
			'align' => 'left',
			'alt' => null,
			'linkto' => null), $atts ) );
		
		$this->mode='html';
		$html = get_image_tag($id, $alt, $title, $align, $size);
		$this->mode='shortcode';
		if($linkto==null && $this->viewer!='none')
		{
			$imageSrc = get_attachment_link($id, $size, true);
			$linkto = $imageSrc;
		}
		if($linkto)
		{
			$html = '<a href="'.attribute_escape($linkto).'" '.$rel.'>'.$html.'</a>';
		}
		$pjStatus = PJ_STATUS_NONE;
		return $html;
	}
	
	public function generateTagForEditor($html, $id, $alt, $title, $align, $url, $size) //image_send_to_editor filter
	{
		if($this->mode == 'shortcode' && $this->insertShortcode=='true')
		{
			$html = '[image title="'.$title.'" size="'.$size.'" id="'.$id.'" align="'.$align.'" ';
			if($alt)
				$html .= 'alt="'.$alt.'" ';
			if($url)
				$html .= 'linkto="'.$url.'" ';
			$html .= ']';
		}
		return $html;
	}
}